Subject: Re: bug#15385: [Eshell] Directory completion overwrites preceding characters

From: Aidan Gauland <[email-masked]>
Date: Mon, 23 Sep 2013 07:00:37 +1200

Joost Kremers <[email-masked]> writes:

> But that still does not explain why the problem only occurs with the
> second argument on the command line. The first argument is completed
> without any problem, and *without* expanding ~ to /home/joost.

You're right, it doesn't.  I forgot to mention this in my last post.
I'm not even sure whether this is pcomplete or the way eshell uses
pcomplete.